Bug 325101 - RF Kill switch on Dell Inspiron 6400/1505 is permanently enabled
RF Kill switch on Dell Inspiron 6400/1505 is permanently enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-09 12:07 EDT by Fulko Hew
Modified: 2009-01-09 03:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:56:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fulko Hew 2007-10-09 12:07:40 EDT
Description of problem:

Somewhere between F8T1 and F8T2, the use of Intel 3945
wireless hardware broke on Dell Inspiron 6400/1505 laptops.

a) /var/log/messages now reports a warning w.r.t. RF kill switch.
b) The Fn-wireless key no longer enables/disables the wireless.
c) KNetworkManager does not report any wireless (or wired networks).


Version-Release number of selected component (if applicable):

Unknown component

How reproducible:

Always

Steps to Reproduce:
1. Boot system
  
Actual results:

Oct  9 11:19:37 fulkol kernel: iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network
Connection driver for Linux, 1.1.17kds
Oct  9 11:19:37 fulkol kernel: iwl3945: Copyright(c) 2003-2007 Intel Corporation
Oct  9 11:19:37 fulkol kernel: iwl3945: Detected Intel PRO/Wireless 3945ABG
Network Connection
Oct  9 11:19:37 fulkol kernel: iwl3945: Radio Frequency Kill Switch is On:
Oct  9 11:19:37 fulkol kernel: Kill switch must be turned off for wireless
networking to work.
Oct  9 11:19:37 fulkol kernel: iwl3945: WARNING: Requesting MAC access during
RFKILL wakes up NIC
Oct  9 11:19:37 fulkol kernel: iwl3945: Tunable channels: 11 802.11bg, 13
802.11a channels

Expected results:

It should be able to enable the 802.11 wireless.

Additional info:
Comment 1 Pavel Šefránek 2008-01-13 06:05:28 EST
I can confirm that on F8 final too. This makes wireless card broken and I cannot
use wi-fi anymore. Ubuntu and openSUSE don't suffer from this problem. Please
make it higher priority.
Comment 2 Nic Doye 2008-10-17 15:26:15 EDT
This issue appears to have been resolved in F9. It also isn't present in the 10 betas: 9.91 or 9.92.

(However there is now a new issue in both F9.91/2 and Ubuntu 8.10 beta's 2.6.27 series kernels which I'll raise soon).
Comment 3 Rui Miguel Seabra 2008-11-10 09:06:28 EST
The Fedora10 Preview Release also has this problem.

NetworkManager should only disable the internal wifi card and not all wifi cards.

In my case, I use an Asus WL-107g PCMCIA card because the built-in broadcom needs a proprietary driver which I don't want to use.

Enabling the card, however, renders the system unusable since it seems to interfere with the X.org freezing it (the rest of the system is ok).
Comment 4 Bug Zapper 2008-11-26 02:56:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-08 23:56:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Rui Miguel Seabra 2009-01-09 03:44:16 EST
Should not be closed, but passed to newer versions of Fedora, 9 and 10.

Note You need to log in before you can comment on or make changes to this bug.